%define module rpy
%define r_version 2.8.1
%define _requires_exceptions libR.so

Epoch:		1
Summary:	A very simple, yet robust, Python interface to the R Programming Language
Name:		python-%{module}
Version:	1.0.3
Release:	%mkrel 2
Group:		Development/Python
License:	BSD-like
URL:		http://rpy.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{module}/%{module}-%{version}.tar.gz
Requires:	R-base >= %{r_version}
Requires:	python-numpy
BuildRequires:	R-base >= %{r_version}
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel
BuildRequires:	tetex-latex
BuildRequires:	texinfo
BuildRequires:	lapack-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# First build failure in from src/RPy.h
# http://www.mail-archive.com/rpy-list@lists.sourceforge.net/msg01500.html
# Remaining just a cut&paste from rpy2's setup.py
Patch0:		rpy-1.0.3-R-base-2.8+.patch

%description
RPy is a very simple, yet robust, Python interface to the R Programming
Language. It can manage all kinds of R objects and can execute arbitrary R
functions (including the graphic functions). All errors from the R language
areconverted to Python exceptions. Any module installed for the R system can
be used from within Python. 

This code is inspired by RSPython from the Omegahat project. The main goals of
RPy are: 
 + to have a very robust interface for using R from Python 
 + the interface should be as transparent and easy to use as possible 
 + it should be usable for real scientific and statistical computations
 

%prep
%setup -qn %{module}-%{version}

%patch0 -p1

%build
env CFLAGS="%{optflags}" %{__python} setup.py build

#pushd doc
#make all
#popd

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --record=INSTALLED_FILES

# install info
#mkdir -p %{buildroot}%{_datadir}/info
#cp doc/rpy.info %{buildroot}%{_datadir}/info/

%clean
rm -rf %{buildroot}

%post
#%_install_info rpy.info

%preun
#%_remove_install_info rpy.info

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc NEWS README


%changelog
* Wed Sep 16 2009 Paulo Andrade <pcpa@mandriva.com.br> 1:1.0.3-2mdv2009.1
+ Revision: 443342
- Provide python-rpy and not python-rpy2

* Mon Jun 15 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.3-2mdv2010.0
+ Revision: 386116
- rebuild for new R-base 2.9.0

* Thu Mar 19 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.3-1mdv2009.1
+ Revision: 357551
- update to new version 2.0.3

* Fri Jan 23 2009 Funda Wang <fundawang@mandriva.org> 2.0.1-1mdv2009.1
+ Revision: 333062
- 2.0.1

* Fri Nov 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.0-0.rc1.1mdv2009.1
+ Revision: 305601
- update to new version 2.0.0rc1
- drop patch 0
- Rebuild for R-2.8.0

* Mon Sep 29 2008 Gaëtan Lehmann <glehmann@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 289563
- Don't require libR.so - it is not provided by R-base package

* Mon Sep 22 2008 Gaëtan Lehmann <glehmann@mandriva.org> 1.0.3-1mdv2009.0
+ Revision: 287081
- build requires lapack-devel
- * Update to 1.0.3
  * Fix build without Rlapack
  * Update R required version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Mon Mar 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-4mdv2008.1
+ Revision: 178049
- rebuild for R-base-2.6.2

* Fri Dec 28 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.0.1-3mdv2008.1
+ Revision: 138856
- requires numpy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-2mdv2008.1
+ Revision: 136276
- rebuild due to broken deps

* Thu Dec 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 135373
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 28 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.rc3.4mdv2008.1
+ Revision: 113608
- BR R-base 2.6.1

* Sat Oct 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc3.3mdv2008.1
+ Revision: 100637
- rebuild against R-base 2.6.0

* Sat Aug 25 2007 Gaëtan Lehmann <glehmann@mandriva.org> 1.0-0.rc3.2mdv2008.0
+ Revision: 71408
- rebuild

* Tue Aug 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc3.1mdv2008.0
+ Revision: 68712
- add buildrequires on python-numpy-devel
- fix file list
- spec file clean
- update to the new upstream release candidate

* Sun Jun 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.2mdv2008.0
+ Revision: 40462
- rebuild for R-base

* Sun Apr 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.1mdv2008.0
+ Revision: 19150
- set correct bits on executables
- update to rc2


* Wed Aug 09 2006 glehmann
+ 08/09/06 21:55:59 (55192)
update to 1.0 RC1

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:27:23 (42704)
Import python-rpy

* Tue Mar 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.0-5mdk
- build requires python-devel

* Mon Mar 20 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.99.0-1mdk
- New release 0.99.0
- require R = 2.2.1

* Thu Oct 20 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-4mdk
- rebuild for new R

* Fri Aug 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-3mdk
- buildrequires and requires same R version

* Tue Aug 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-2mdk
- rebuild for new R

* Thu Jul 28 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.6-1mdk
- New release 0.4.6

* Fri Jun 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.4.2.1-1mdk
- initial contrib

